Skip to main content
POST
Simulate transaction
The output of the transaction will have the exact transaction outputs and events that running an actual signed transaction would have. This method will use 50 Compute Units.

Query Parameters

estimate_max_gas_amount
boolean

If set to true, the max gas value in the transaction will be ignored and the maximum possible gas will be used

estimate_gas_unit_price
boolean

If set to true, the gas unit price in the transaction will be ignored and the estimated value will be used

estimate_prioritized_gas_unit_price
boolean

If set to true, the transaction will use a higher price than the original estimate.

Body

A request to submit a transaction

This requires a transaction and a signature of it

sender
string<hex>
required

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example:

"0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 "

sequence_number
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

max_gas_amount
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

gas_unit_price
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

expiration_timestamp_secs
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

payload
object
required

Payload which runs a single entry function

signature
object
required

A single Ed25519 signature

Response

version
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

hash
string
required
state_change_hash
string
required
event_root_hash
string
required
gas_used
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

success
boolean
required

Whether the transaction was successful

vm_status
string
required

The VM status of the transaction, can tell useful information in a failure

accumulator_root_hash
string
required
changes
object[]
required

Final state of resources changed by the transaction

Delete a module

sender
string<hex>
required

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example:

"0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 "

sequence_number
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

max_gas_amount
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

gas_unit_price
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

expiration_timestamp_secs
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

payload
object
required

Payload which runs a single entry function

events
object[]
required

Events generated by the transaction

timestamp
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

state_checkpoint_hash
string
signature
object

A single Ed25519 signature